Edge Rewrite
// HTMLRewriter · presentation

This page was redesigned at the edge.

Cloudflare fetched the original article and streamed it through HTMLRewriter to apply an entirely new visual system without rebuilding the source page.

Jump to content

Template:Infobox election/styles.css

Permanently protected template
From Wikipedia, the free encyclopedia
/* {{pp-template}} */
.ib-election {
	line-height: 1.5em;
}

.ib-election .infobox-data {
	text-align: center;
}

.ib-election .infobox-label {
	width: 5em;
	white-space: nowrap;
}

.ib-election .infobox-subheader {
	line-height: 130%;
}

.ib-election .infobox-header {
	font-weight: normal;
}

/* To avoid seeming biased on responsive skins - make sure all images are the
 * same width and displayed e.g. not hidden by a scrollable element
 * use !important for both of these to override any widths or heights provided by
 * templates, otherwise these will squish.
 */
@media ( max-width: 640px ) {
	body.skin--responsive:not( .skin-monobook ):not( .skin-timeless ) .ib-election .notpageimage.noresize img {
		height: 80px !important;
    	width: auto !important;
	}
}

/* always light mode for the images */
@media screen {
	html.skin-theme-clientpref-night .ib-election .mw-file-description img {
		background-color: #f8f9fa;
        color:inherit;
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .ib-election .mw-file-description img {
		background-color: #f8f9fa;
        color:inherit;
	}
}